# == Class: vagrant
#
# bridge the normal puppet setup to what vagrant gives us
#
# === Parameters
#
#  [*projectname*]
#    the name of this vagrant machine or project.  Files will be linked from /usr/local/$projectname to /vagrant
#
# === Variables
#
#   none
#
# === Examples
#
#  class { vagrant:
#    projectname => 'vlab',
#  }
#
# === Authors
#
# Amir Tahvildaran <amir@mathforum.org>
#
# === Copyright
#
# Copyright 2012 
#
class vagrant ( $projectname ) {

  file { '/etc/puppet/modules':
    ensure => link,
    target => '/vagrant/puppet/modules',
    force  => true,
  }

  file { '/var/lib/puppet/templates':
    ensure => link,
    target => '/vagrant/puppet/templates',
    force  => true,
  }

  service { 'iptables':
    ensure => stopped,
  }

  file { "/usr/local/$projectname":
    ensure => link,
    target => '/vagrant/',
  }

}
